baz_tag_to_msg.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/msg_queue.h>`
`#include <string>`
Include dependency graph for baz_tag_to_msg.h:

Go to the source code of this file.

## Classes

class | baz_tag_to_msg
| square2 a stream of floats. More...

## Functions

baz_tag_to_msg_sptr | baz_make_tag_to_msg (int item_size, gr::msg_queue::sptr msgq, const char *append=NULL)
| Return a shared_ptr to a new instance of baz_tag_to_msg.

## Function Documentation

## baz_make_tag_to_msg()

baz_tag_to_msg_sptr baz_make_tag_to_msg | ( | int | item_size,
|  | gr::msg_queue::sptr | msgq,
|  | const char * | append = `NULL`
| ) |  |

Return a shared_ptr to a new instance of baz_tag_to_msg.

To avoid accidental use of raw pointers, baz_tag_to_msg's constructor is private. baz_make_tag_to_msg is the public interface for creating new instances.